[mypy]
packages = kisters, tests
plugins = pydantic.mypy

# --strict (module)
warn_redundant_casts = true
warn_unused_configs = true

# --strict
ignore_missing_imports = true
disallow_any_generics = true
disallow_subclassing_any = true
disallow_untyped_calls = true
disallow_untyped_decorators = true
check_untyped_defs = true
disallow_incomplete_defs = true
disallow_untyped_defs = true
warn_unused_ignores = true
warn_return_any = true
strict_equality = true
no_implicit_reexport = true
extra_checks = true


[pydantic-mypy]
init_forbid_extra = True
init_typed = True
warn_required_dynamic_aliases = True
warn_untyped_fields = True
